## powerplant 0+p24.04+vunstable+git20251113.0650

=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20251113.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 06:50:49 +0000

powerplant (0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:38:53 +0000
