## powerplant 0+p24.04+vunstable+git20251125.1321

=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20251125.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:21:08 +0000
