=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20260205.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:08:35 +0000
