=== debian/control ===
Source: powerplant
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               libfuturesql-dev,
               libkweathercore-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/powerplant
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/powerplant.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/powerplant
Maintainer: Neon CI <neon@kde.org>

Package: powerplant
Architecture: any
Depends: kf6-kirigami,
         kf6-kirigami-addons,
         libkweathercore6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tracks house and garden plant care
 PowerPlant lets you track when your plants have to be watered and how
 their health develops over time.
